Bug 937458, bump the required clang version in mach bootstrap, r=gps DONTBUILD
authorNick Thomas <nthomas@mozilla.com>
Tue, 19 Nov 2013 10:35:19 -0500
changeset 156294 7c50dd0a345f81a534eebb77d88528bdcf7db79f
parent 156293 a9228868922465e2e268987b8ae461e3b2965e04
child 156295 4df4f9fff8c57d95f097ff01c9417f9afab8a52c
push id36366
push usernthomas@mozilla.com
push dateTue, 19 Nov 2013 15:36:45 +0000
treeherdermozilla-inbound@7c50dd0a345f [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersgps
bugs937458
milestone28.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 937458, bump the required clang version in mach bootstrap, r=gps DONTBUILD
python/mozboot/mozboot/osx.py
--- a/python/mozboot/mozboot/osx.py
+++ b/python/mozboot/mozboot/osx.py
@@ -26,17 +26,17 @@ HOMEBREW_AUTOCONF213 = 'https://raw.gith
 MACPORTS_URL = {'8': 'https://distfiles.macports.org/MacPorts/MacPorts-2.1.3-10.8-MountainLion.pkg',
                 '7': 'https://distfiles.macports.org/MacPorts/MacPorts-2.1.3-10.7-Lion.pkg',
                 '6': 'https://distfiles.macports.org/MacPorts/MacPorts-2.1.3-10.6-SnowLeopard.pkg',}
 
 MACPORTS_CLANG_PACKAGE = 'clang-3.3'
 
 RE_CLANG_VERSION = re.compile('Apple (?:clang|LLVM) version (\d+\.\d+)')
 
-APPLE_CLANG_MINIMUM_VERSION = StrictVersion('4.0')
+APPLE_CLANG_MINIMUM_VERSION = StrictVersion('4.2')
 
 XCODE_REQUIRED = '''
 Xcode is required to build Firefox. Please complete the install of Xcode
 through the App Store.
 
 It's possible Xcode is already installed on this machine but it isn't being
 detected. This is possible with developer preview releases of Xcode, for
 example. To correct this problem, run: